install-info(8)

NAME
install-info - Erzeuge oder aktualisiere Einträge in der Info-Verzeichnisdatei

ÜBERSICHT
install-info [--version] [--help] [--debug] [--maxwidth=nnn] [--section Regexp Titel] [--infodir=xxx] [--align=nnn] [--quiet] [--menuentry=xxx] [--description=xxx] [--remove|--remove-exactly] [--] Dateiname

BESCHREIBUNG
install-info erstellt, aktualisiert oder entfernt Einträge in der dir-Datei von Info. Beim Aktualisieren oder Einfügen von Einträgen versucht es die Beschreibung vom Inhalt der Datei zu raten, falls keine Beschreibung auf der Befehlszeile oder in der Info-Datei angegeben wird.

Siehe die Beschreibung der Option --section zu Details wo der Eintrag platziert wird und einer Beschreibung des erwarteten Formats der Datei dir.

OPTIONEN

[--] Dateiname
    Gibt den Dateinamen der Info-Datei an, deren Menüeintrag erstellt, aktualisiert oder entfernt werden soll. Falls --remove-exactly angegeben wird, dann sollte Dateiname der exakte Eintragsname sein, der entfernt werden soll (z.B. »emacs-20/emacs« oder »gcc«), andernfalls wird der Basisname des Dateinamens als Referenzierender des zu erstellenden Menüeintrags verwendet, es sei denn, es gibt einen überschreibenden START-INFO-DIR-Eintrag innerhalb der übergebenen Datei. Diese Datei muss daher im gleichen Verzeichnis wie die dir-Datei existieren (oder gerade installiert werden, oder muss früher existiert haben, wenn ein Eintrag entfernt wird) (lesen Sie die Informationen zu der Option --infodir). Falls Dateiname auf .gz endet, wird er als Verweis auf eine mit gzip komprimierte Datei genommen; falls er nicht existiert, aber eine entsprechende Dateiname.gz existiert, wird stattdessen letztere benutzt. Beim Hinzufügen oder Aktualisieren von Einträgen muss die Datei an dem angegebenen Pfad existieren (möglicherweise mit einer zusätzlichen .gz-Endung).

--remove
    Spezifiziert, dass der Eintrag für die Datei Dateiname entfernt werden soll; standardmäßig werden Einträge erstellt oder aktualisiert. Falls die Entfernung dazu führt, dass ein Abschnitt leer wird, wird auch die Abschnittsüberschrift (und die überflüssige Leerzeile) entfernt, falls dies nicht der letzte Abschnitt in der Datei ist oder --keep-old angegeben wird. Lesen Sie hierzu auch über die --section-Option für Details über das erwartete Format der dir-Datei. Falls es mehrere passende Einträge in Verz gibt, werden nur die in der ersten passenden zusammenhängenden Gruppe entfernt, die anderen werden ohne Rückmeldung ignoriert. Es ist kein Fehler, wenn kein passender Eintrag gefunden wird, jedoch gibt install-info eine Warnung aus. Diese Warnung kann durch Angabe der Option --quiet unterdrückt werden. Wenn --remove angegeben wird, werden die Formatierungsoptionen --maxwidth, --align und --calign ohne Rückmeldung ignoriert.

--remove-exactly
    Diese Option ist im Prinzip die gleiche wie --remove, abgesehen davon, dass Dateiname als exakter Eintrag angesehen wird, der entfernt werden soll, statt als Name einer existierenden Datei. Dies kann wichtig sein, wenn Einträge entfernt werden sollen, die sich auf Info-Dateien in Unterverzeichnissen beziehen (z.B. »emacs-20/emacs«), da --remove mit dem Basisnamen (»basename«) des übergebenen Dateinamens, statt des exakten Namens, arbeiten wird (d.h. --remove »emacs-20/emacs« würde dazu führen, dass install-info nach »emacs« und nicht »emacs-20/emacs« sucht).

--section Regexp Titel
    Gibt an, dass, falls ein neuer Eintrag erfolgen soll, dieser in einem Abschnitt der Datei dir platziert werden soll, dessen Titel auf Regexp passt. Falls ein solcher Abschnitt nicht existiert, wird er als der vorletzte in der Datei (siehe unten) mit dem Titel Titel erzeugt. Ein Abschnitt ist ein durch Leerzeilen begrenzter Teil des Menüs dir; von der ersten Zeile wird angenommen, dass sie der Titel ist. Falls ein neuer Eintrag erstellt werden soll, wird install-info versuchen, diesen innerhalb des Abschnitts in alphabetischer Reihenfolge einzufügen. Falls die Einträge noch nicht alphabetisch sortiert sind, kann der Platz innerhalb des Abschnitts nicht vorhergesagt werden. Die Reihenfolge der existierenden Einträge wird nicht geändert. Falls die Option --section nicht angegeben ist, wird install-info nach einem Titel in der Info-Datei selbst suchen, indem es nach einem Eintrag der folgenden Form schaut:
    INFO-DIR-SECTION Titel
    Falls kein Abschnittstitel gefunden wird, ist die Voreinstellung, neue Einträge an das Ende der Datei anzuhängen. Der letzte Abschnitt (selbst falls dieser nur aus der Titelzeile besteht) sollte immer existieren, um sicherzustellen, dass neue Abschnitte am richtigen Ort erstellt werden. Der letzte Abschnitt sollte so mit einem Titel benannt werden, dass die Tatsache ausgedrückt wird, dass Info-Dateien ohne besseren Ort hier angehängt werden. Falls es bereits einen Eintrag für die zu installierende Infodatei gibt, wird dieser in situ durch den neuen Eintrag ersetzt. Falls beim Entfernen eines Eintrags ein Abschnitt angegeben wird, wird der Abschnitt ignoriert und eine Warnung ausgegeben. Falls beim Hinzufügen eines Eintrags ein Abschnitt angefordert wird, aber die Datei überhaupt keine Abschnittsüberschriften enthält, erzeugt install-info sowohl den angeforderten als auch einen Abschnitt für Verschiedenes am Ende der Datei.

--infodir=Infoverz
    Gibt an, das die Datei dir sich in Infoverz befindet oder befinden wird, wo auch die installierte Kopie der neuen Infodatei war. Der Standardwert ist /usr/share/info/.

--align=nnn  [veraltet]
    Bestimmt, dass die erste Zeile der Beschreibung mindestens nnn-Zeichen weit eingezogen werden soll; zusätzliche Zeichen werden nach Bedarf hinzugefügt. Falls notwendig aufgrund der Länge des Details des dir-Menüeintrages, könnte der Ausgleich größer sein. Der Standardwert beträgt 27.

--calign=nnn [veraltet]
    Gibt an, dass die zweite und folgende Zeilen der Beschreibung mindestens um nnn-Zeichen eingerückt werden sollen. Der Standardwert beträgt 29.

--maxwidth=nnn [veraltet]
    Spezifiziert, dass die maximale Breite für die Info-Datei nnn beträgt. Dies wird verwendet, falls die Beschreibung umgebrochen werden muss. Der Standardwert is 79.

--quiet
    Unterdrückt die gewöhnliche Anzeige des neuen Menüeintrags bevor er eingefügt wird und von Nachrichten, die das Ersetzen und Entfernen existierender Einträge und das Erzeugen und Löschen von Abschnitten ankündigen.

--help
    Bringt install-info dazu, seinen Gebrauchshinweis auszugeben und sich zu beenden.

--version
    Bringt install-info dazu, seine Version und Copyrightinformationen auszugeben und sich zu beenden.

--description=xxx
    Gibt die nach dem Menü-Eintrag in neuen oder aktualisierten Einträgen zu benutzende Beschreibung xxx an. Die Voreinstellung ist den in der Infodatei selbst angegebenen Wert zu benutzen; dieser wird gefunden, indem nach einem Abschnitt der folgenden Form gesucht wird:
    START-INFO-DIR-ENTRY
    * Auto-PGP: (auto-pgp). PGP under GNU Emacs.
    END-INFO-DIR-ENTRY Falls der Eintrag, der in der Info-Datei selbst gefunden wird, sich über mehrere Zeilen ausdehnt, wobei jede Zeile einen Menüeintrag angibt, wird der in der Datei gefundene Text wörtlich übernommen. In diesem Fall wird das alphabetische Sortierschema abgeschaltet und die Einträge werden am Anfang des in Frage kommenden Abschnitts eingefügt. In diesem Fall werden die Optionen --menuentry, --maxwidth, --align, --calign und --menuentry ignoriert. Falls es in der Datei keinen dir-Eintrag gibt, versucht das Programm im Anfangsbereich der Datei einen Absatz zu finden, der mit this file documents beginnt. Es macht aus dem ersten Zeichen des Folgenden einen Großbuchstaben und verwendet dieses. Es ist ein Fehler, wenn keine dieser Methoden eine Beschreibung ergibt. Falls eine Beschreibungs-Argument zusammen mit --remove angegeben ist, wird dieses ignoriert und eine Warnung ausgegeben.

--menuentry=xxx
    Gibt an, dass der Eintrag im Menü xxx sein soll. Die Voreinstellung ist, den in der Info-Datei selbst angegebenen Wert zu benutzen. Falls dieser nicht vorhanden ist, wird der Basisname der Info-Datei benutzt (jegliches .info wird gelöscht, und der Eintrag wird in gemischte Groß-Klein-Schreibung überführt). Für Details über das erwartete Format des Menüeintrags in der Info-Datei siehe oben. Beim Entfernen von Einträgen muss die Option --menuentry auf das tatsächliche Menüeintragsfeld im Menüeintrag passen, das entfernt werden soll (Groß-/Kleinschreibung ist nicht relevant). Falls --menuentry nicht angegeben wird, erfolgt keine Prüfung des Menüeintrags.

--keep-old
    Verhindert die Ersetzung existierender Einträge und das Entfernen leerer Abschnitte. Falls die zu installierende Datei bereits einen Eintrag in der dir-Datei hat, wird der alte Eintrag unverändert gelassen und nicht ersetzt; standardmäßig werden gefundene alte Einträge mit den neu generierten überschrieben. Falls --remove angegeben ist, verhindert --keep-old das Entfernen der Abschnittsüberschrift, was andernfalls passieren würde, falls der Abschnitt durch das Entfernen leer werden würde.

--test
    Aktiviert den Testmodus, in dem das Aktualisieren der Info dir-Datei verhindert wird.

--debug
    Aktiviert den Fehlersuche-Modus, bei dem die Ergebnisse einiger interner Bearbeitungsschritte angezeigt werden.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2008 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
emacs(1), info(1), gzip(1).

AUTOR
Copyright 1994 Ian Jackson.

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.